---
title: Menu Restaurants and Stores
slug: serpwow/search-api/reference/menu-restaurants
docTags: 
createdAt: 2025-05-30T16:54:16.385Z
---

SerpWow supports fetching **menu pricing data** for select restaurants by location. Simply make a GET request using the restaurant and store identifier

For example, to request menu pricing for store `Qdoba`  with store\_id `79706` , the request would be:&#x20;

:::CodeblockTabs
HTTP

```HTTP
https://api.serpwow.com/search?api_key={api_key}&engine=menuhub&type=menu&store_name=Qdoba&store_id=79706&output=json
```

```curl
curl -L --get https://api.serpwow.com/search \
    -d api_key="{api_key}" \
    -d engine="menuhub" \
    -d type="menu" \
    -d store_name="Qdoba" \
    -d store_id="79706" \
    -d output="json"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
api_key: "{api_key}",
  engine: "menuhub",
  type: "menu",
  store_name: "Qdoba",
  store_id: "79706",
  output: "json"
}

// make the http GET request to SerpWow
axios.get('https://api.serpwow.com/search', { params })
.then(response => {

    // print the JSON response from SerpWow
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
// catch and print the error
console.log(error);
})
```

```python
import requests
import json

# set up the request parameters
params = {
'api_key': '{api_key}',
  'engine': 'menuhub',
  'type': 'menu',
  'store_name': 'Qdoba',
  'store_id': '79706',
  'output': 'json'
}

# make the http GET request to SerpWow
api_result = requests.get('https://api.serpwow.com/search', params)

# print the JSON response from SerpWow
print(json.dumps(api_result.json()))
```

```php
# set up the request parameters
$queryString = http_build_query([
'api_key' => '{api_key}',
  'engine' => 'menuhub',
  'type' => 'menu',
  'store_name' => 'Qdoba',
  'store_id' => '79706',
  'output' => 'json'
]);

# make the http GET request to SerpWow
$ch = curl_init(sprintf('%s?%s', 'https://api.serpwow.com/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);

curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from SerpWow
echo $api_result;
```
:::

***

Below is a full list restaurants and supported locations for the selected restaurant in JSON format.

| store\_name            | JSON of store\_ids                                                                                                            |
| ---------------------- | ----------------------------------------------------------------------------------------------------------------------------- |
| Applebees              | [Applesbees](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/applebees-stores.json)                          |
| Auntie Annes           | [Auntie Annes](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/auntie-annes-stores.json)                     |
| Blaze Pizza            | [Blaze Pizza](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/blaze-pizza-stores.json)                       |
| Bojangles              | [Bojangles](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/bojangles-stores.json)                           |
| Carrabas               | [Carrabas](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/outback-steakhouse-stores.json)                   |
| Charleys               | [Charleys](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/charleys-stores.json)                             |
| Cheba Hut              | [Cheba Hut](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/cheba-hut-stores.json)                           |
| Checkers And Rallys    | [Checkers And Rallys](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/checkers-and-rallys-stores.json)       |
| Chicken Salad Chick    | [Chicken Salad Chick](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/chicken-salad-chick-stores.json)       |
| Churchs Chicken        | [Churchs Chicken](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/churchs-chicken-stores.json)               |
| Cicis                  | [Cicis](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/cicis-stores.json)                                   |
| Cracker Barrel         | [Cracker Barrel](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/cracker-barrel-stores.json)                 |
| Daves Hot Chicken      | [Daves Hot Chicken](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/daves-hot-chicken-stores.json)           |
| Del Taco               | [Del Taco](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/del-taco-stores.json)                             |
| Dennys                 | [Dennys](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/dennys-stores.json)                                 |
| El Pollo Loco          | [El Pollo Loco](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/el-pollo-loco-stores.json)                   |
| First Watch            | [First Watch](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/first-watch-stores.json)                       |
| Golden Corral          | [Golden Corral](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/golden-corral-stores.json)                   |
| Hardees                | [Hardees](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/hardees-stores.json)                               |
| Hooters                | [Hooters](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/hooters-stores.json)                               |
| Ihop                   | [Ihop](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/ihop-stores.json)                                     |
| Jack In The Box        | [Jack in The Box](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/jack-in-the-box-stores.json)               |
| Jasons Deli            | [Jasons Deli](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/jasons-deli-stores.json)                       |
| Johnny Rockets         | [Johnny Rockets](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/johnny-rockets-stores.json)                 |
| Krispy Kreme           | [Krispy Kreme](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/krispy-kreme-stores.json)                     |
| Mad Greens             | [Mad Greens](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/mad-greens-stores.json)                         |
| Mission Bbq            | [Mission Bbq](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/mission-bbq-stores.json)                       |
| Mod Pizza              | [Mod Pizza](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/mod-pizza-stores.json)                           |
| Nekter Juice Bar       | [Nekter Juice Bar](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/nekter-juice-bar-stores.json)             |
| Noodles And Company    | [Noodles And Company](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/noodles-and-company-stores.json)       |
| North Italia           | [North Italia](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/north-italia-stores.json)                     |
| Outback Steakhouse     | [Outback Steakhouse](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/outback-steakhouse-stores.json)         |
| Papa Murphys           | [Papa Murphys](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/papa-murphys-stores.json)                     |
| Peter Piper Pizza      | [Peter Piper Pizza](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/peter-piper-pizza-stores.json)           |
| Pf Changs              | [Pf Changs](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/pf-changs-stores.json)                           |
| Potbelly               | [Potbelly](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/potbelly-stores.json)                             |
| Qdoba                  | [Qdoba](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/qdoba-stores.json)                                   |
| Red Robin              | [Red Robin](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/red-robin-stores.json)                           |
| Ruby Tuesday           | [Ruby Tuesday](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/ruby-tuesday-stores.json)                     |
| Saladworks             | [Saladworks](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/saladworks-stores.json)                         |
| Sbarro                 | [Sbarro](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/sbarro-stores.json)                                 |
| Shake Shack            | [Shake Shack](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/shake-shack-stores.json)                       |
| Sharkys                | [Sharkys](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/sharkys-stores.json)                               |
| Shipley Donuts         | [Shipley Donuts](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/shipley-donuts-stores.json)                 |
| Smashburger            | [Smashburger](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/smashburger-stores.json)                       |
| Smoothie King          | [Smoothie King](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/smoothie-king-stores.json)                   |
| Steak N Shake          | [Steak N Shake](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/steak-n-shake-stores.json)                   |
| Sweetgreen             | [Sweetgreen](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/sweetgreen-stores.json)                         |
| Taco Johns             | [Taco Johns](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/taco-johns-stores.json)                         |
| Tgi Fridays            | [Tgi Fridays](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/tgi-fridays-stores.json)                       |
| The Cheesecake Factory | [The Cheesecake Factory](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/the-cheesecake-factory-stores.json) |
| Tropical Smoothie Cafe | [Tropical Smoothie Cafe](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/tropical-smoothie-cafe-stores.json) |
| Wetzels Pretzels       | [Wetzels Pretzels](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/wetzels-pretzels-stores.json)             |
| Zaxbys                 | [Zaxbys](https://apiassets.ams3.cdn.digitaloceanspaces.com/serpwow/stores/zaxbys-stores.json)                                 |

